#!/bin/bash
# shellcheck disable=SC1091 # Cannot resolve paths in variables

PROJECT_HOME="$(realpath -s --relative-to . "$(dirname "$0")/..")" || exit
. "$PROJECT_HOME/scripts/util.sh" || exit

MODE="$1"

get_project_name

case "$MODE" in
debug | release) ;;
*) error $"$MODE must be 'debug' or 'release'" ;;
esac

ARGS=()
ARGS+=(--target-arch=arm64)
ARGS+=(--target-compiler-triple=aarch64-linux-gnu)
ARGS+=(--system-include-directories=/usr/aarch64-linux-gnu/include/c++/10/aarch64-linux-gnu)
ARGS+=(--target-compiler-flags="-fms-extensions -DUSE_EGL_IMAGE_DMABUF")
ARGS+=(--"$MODE")

(
	cd ./app || exit
	flutter-elinux pub get && flutter-elinux build elinux "${ARGS[@]}"
)
